﻿/** Loading top menu data **/
async function topMenuData(){
	let url = 'https://fegapi.fujairah.ae/api/topmenu';
	//let url ='https://egov.fujairah.ae/_api/web/lists/GetByTitle("TopMenu")/items';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
    	let items = data;
    	let nav = document.querySelector('#topMenu ul.navbar-nav');
    	let themeLink = document.createElement('li');
    	let langSwitch = document.createElement('li');
    	themeLink.classList.add('nav-item');  
    	langSwitch.classList.add('nav-item','lang-switch');  	
    	themeLink.innerHTML = `<a href="#" onclick="toggleTheme()" class="nav-link"><span class="material-symbols-outlined">brightness_6</span></a>`;
    	for(let item of items){
    		//console.log(item);
    		let navItem = document.createElement('li');
    		navItem.classList.add('nav-item');
    		nav.append(navItem);
    		
      		if(langCheck() == 'en'){
    			navItem.innerHTML = `<a class="nav-link" href=${item.url}>${item.titleEN}</a>`;
    			langSwitch.innerHTML = `<a class="nav-link" href=${langChange()}>عربي</a>`;
    		}
    		else{
    			navItem.innerHTML = `<a class="nav-link" href=${item.ARurl}>${item.titleAR}</a>`;
    			langSwitch.innerHTML = `<a class="nav-link" href=${langChange()}>English</a>`;
    		}
    	}
    	nav.append(langSwitch);
    	nav.append(themeLink);
   	})
    .catch(function(error) {
      console.log(error);
    });
}


/** Loading main menu data **/
async function mainMenuData(){
	let url = 'https://fegapi.fujairah.ae/api/mainMenu';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
    	//console.log(data.length);
    	let items = data;
    	let nav = document.querySelector('#mainMenu ul.navbar-nav');
    	let navSticky = document.querySelector('#stickyMenu ul.navbar-nav');
    	for(let item of items){
    		//console.log(item);
    		let navItem = document.createElement('li');
    		let navItemSticky = document.createElement('li');
    		navItem.classList.add('nav-item');
    		navItemSticky.classList.add('nav-item');
    		nav.append(navItem);
    		navSticky.append(navItemSticky);
    		if(langCheck() == 'en'){
    			navItem.innerHTML = `<a class="nav-link" href=${item.url}>${item.titleEN}</a>`;
    			navItemSticky.innerHTML = `<a class="nav-link" href=${item.url}>${item.titleEN}</a>`;
    		}
    		else{
    			navItem.innerHTML = `<a class="nav-link" href=${item.url}>${item.titleAR}</a>`;
    			navItemSticky.innerHTML = `<a class="nav-link" href=${item.url}>${item.titleAR}</a>`;
    		}
    	}
    	/*
    	if(pageCheck() == 'default'){
    		document.querySelector('#mainMenu .navbar-nav li').classList.remove('active');
    		document.querySelector('#mainMenu .navbar-nav li:nth-child(1)').classList.add('active');
    		document.querySelector('#stickyMenu .navbar-nav li').classList.remove('active');
    		document.querySelector('#stickyMenu .navbar-nav li:nth-child(1)').classList.add('active');
    	}
    	if(pageCheck() == 'about'){
    		console.log('this is about page');
    		document.querySelector('#mainMenu .navbar-nav li').classList.remove('active');
    		document.querySelector('#mainMenu .navbar-nav li:nth-child(2)').classList.add('active');
    		document.querySelector('#stickyMenu .navbar-nav li').classList.remove('active');
    		document.querySelector('#stikcyMenu .navbar-nav li:nth-child(2)').classList.add('active');
    	}*/

   	})
    .catch(function(error) {
      console.log(error);
    });
}


/** Loading home page data **/
async function homePageData(){
	//let url = 'https://fegapi.fujairah.ae:9443/api/HOMEPG';
	let url='https://fegapi.fujairah.ae/api/HOMEPG';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
    	//console.log(data);
    	let heroTitle = document.querySelector('#hero-title');
    	let heroDesc = document.querySelector('#hero-desc');
  
    	let highlightsTitle = document.querySelector('#highlights-title');
    	let highlightsDesc = document.querySelector('#highlights-desc');
    	
    	//let messageTitle = document.querySelector('#message-title');
    	//let messageDesc = document.querySelector('#message-desc');
    	
    	let domainsTitle = document.querySelector('#domains-title');
    	let domainsDesc = document.querySelector('#domains-desc');
    	
    	let appsTitle = document.querySelector('#apps-title');
    	let appsDesc = document.querySelector('#apps-desc');
    	
    	let eventsTitle = document.querySelector('#events-title');
    	let eventsDesc = document.querySelector('#events-desc');
    	
    	let insightsTitle = document.querySelector('#insights-title');
    	let insightsDesc = document.querySelector('#insights-desc');
		
		let partnersTitle = document.querySelector('#partners-title');
    	let partnersDesc = document.querySelector('#partners-desc');
      	
      	let items = data;
    	for(let item of items){    	  		
      		if(item.sectionID == 'hero'){
      			if(langCheck() == 'en'){
      				heroTitle.innerHTML = item.titleEN;
    				heroDesc.innerHTML = item.descEN;
      			}
      			else{
      				heroTitle.innerHTML = item.titleAR;
    				heroDesc.innerHTML = item.descAR;
      			}
      		}
      		else if(item.sectionID == 'highlights'){
      			if(langCheck() == 'en'){
      				highlightsTitle.innerHTML = item.titleEN;
    				highlightsDesc.innerHTML = item.descEN;
      			}
      			else{
      				highlightsTitle.innerHTML = item.titleAR;
    				highlightsDesc.innerHTML = item.descAR;
      			}
      		}
      		/*
      		else if(item.sectionID == 'message'){
      			if(langCheck() == 'en'){
      				messageTitle.innerHTML = item.titleEN;
    				messageDesc.innerHTML = item.descEN;
      			}
      			else{
      				messageTitle.innerHTML = item.titleAR;
    				messageDesc.innerHTML = item.descAR;
      			}
      		}*/
      		else if(item.sectionID == 'domains'){
      			if(langCheck() == 'en'){
      				domainsTitle.innerHTML = item.titleEN;
    				domainsDesc.innerHTML = item.descEN;
      			}
      			else{
      				domainsTitle.innerHTML = item.titleAR;
    				domainsDesc.innerHTML = item.descAR;
      			}
      		}
      		else if(item.sectionID == 'apps'){
      			if(langCheck() == 'en'){
      				appsTitle.innerHTML = item.titleEN;
    				appsDesc.innerHTML = item.descEN;
      			}
      			else{
      				appsTitle.innerHTML = item.titleAR;
    				appsDesc.innerHTML = item.descAR;
      			}
      		}
      		else if(item.sectionID == 'insights'){
      			if(langCheck() == 'en'){
      				insightsTitle.innerHTML = item.titleEN;
    				insightsDesc.innerHTML = item.descEN;
      			}
      			else{
      				insightsTitle.innerHTML = item.titleAR;
    				insightsDesc.innerHTML = item.descAR;
      			}
      		}
			else if(item.sectionID == 'events'){
      			if(langCheck() == 'en'){
      				eventsTitle.innerHTML = item.titleEN;
    				eventsDesc.innerHTML = item.descEN;
      			}
      			else{
      				eventsTitle.innerHTML = item.titleAR;
    				eventsDesc.innerHTML = item.descAR;
      			}
      		}
      		else if(item.sectionID == 'insights'){
      			if(langCheck() == 'en'){
      				insightsTitle.innerHTML = item.titleEN;
    				insightsDesc.innerHTML = item.descEN;
      			}
      			else{
      				insightsTitle.innerHTML = item.titleAR;
    				insightsDesc.innerHTML = item.descAR;
      			}
      		}
      		
			else if(item.sectionID == 'partners'){
      			if(langCheck() == 'en'){
      				partnersTitle.innerHTML = item.titleEN;
    				partnersDesc.innerHTML = item.descEN;
      			}
      			else{
      				partnersTitle.innerHTML = item.titleAR;
    				partnersDesc.innerHTML = item.descAR;
      			}
      		}

    	}
   	})
    .catch(function(error) {
      console.log(error);
    });
}


async function hightlightsList(){
	let url = 'https://fegapi.fujairah.ae/api/HIGHLIGHTS';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
       	let items = data.slice(0,3);
      	let highlightsList = document.querySelector('#highlights');    	
    	for(let item of items){
    		let highlightItem = document.createElement('div');
    		let itemExcerpt;
    		if(langCheck() == 'en'){
    			itemExcerpt = item.descEN.replace(/<(.|\n)*?>/g, '').substr(0, 150)
				itemExcerpt = itemExcerpt.substr(0, Math.min(itemExcerpt.length, itemExcerpt.lastIndexOf(" ")));
    			highlightItem.innerHTML = `<div class="card"><a href=${'/en/pages/highlights-item.aspx?HIID='+item.HIID}><img class="card-img-top" src=${item.featuredImg} alt=${item.titleEN} /></a><div class="card-body"><span class="card-date">${moment(item.date).format("Do MMM,YYYY")}</span><a href=${'/en/pages/highlights-item.aspx?HIID='+item.HIID}><h5 class="card-title">${item.titleEN}</h5></a><p>${itemExcerpt+' ...'}</p></div></div>`;
    		}
    		else{
    			itemExcerpt = item.descAR.replace(/<(.|\n)*?>/g, '').substr(0, 150)
				itemExcerpt = itemExcerpt.substr(0, Math.min(itemExcerpt.length, itemExcerpt.lastIndexOf(" ")));
    			highlightItem.innerHTML = `<div class="card"><a href=${'/ar/pages/highlights-item.aspx?HIID='+item.HIID}><img class="card-img-top" src=${item.featuredImg} alt=${item.titleAR} /></a><div class="card-body"><span class="card-date">${moment(item.date).locale('ar').format("Do MMM,YYYY")}</span><a href=${'/ar/pages/highlights-item.aspx?HIID='+item.HIID}><h5 class="card-title">${item.titleAR}</h5></a><p>${itemExcerpt+' ...'}</p></div></div>`;
    		}
    		highlightsList.append(highlightItem);
    		highlightItem.classList.add('col-4');
       	}
   	})
    .catch(function(error) {
      console.log(error);
    });
}



async function highlightsCarousel(){
	let url = 'https://fegapi.fujairah.ae/api/HIGHLIGHTS';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
    	let carousel = document.querySelector('.highlights-carousel');
    	let itemCount  = carousel.getAttribute('carousel-items');
    	let items = data.slice(0,itemCount);
    	/* Sorting By Publish Date */
		items.sort(function(a, b) {
  			var keyA = new Date(a.publishedDate),
    		keyB = new Date(b.publishedDate);
  			// Compare the 2 dates
  			if (keyA < keyB) return -1;
  			if (keyA > keyB) return 1;
  			return 0;
		});
    	for(let item of items){
    		let carouselItem = document.createElement('div');
    		carouselItem.classList.add('item');		
    		if(langCheck() == 'en'){
    			carouselItem.innerHTML = `<a href=${'/en/pages/highlights-item.aspx?HIID='+item.HIID}><div class="card"><img class="card-img-top" src=${item.featuredImg} alt=${item.titleEN} /><div class="card-body"><span class="card-date">${moment(item.publishedDate).format("Do MMM,YYYY")}</span><h5 class="card-title">${item.titleEN}</h5></div></div></a>`;
    		}
    		else{
    			carouselItem.innerHTML = `<a href=${'/ar/pages/highlights-item.aspx?HIID='+item.HIID}><div class="card"><img class="card-img-top" src=${item.featuredImg} alt=${item.titleAR} /><div class="card-body"><span class="card-date">${moment(item.publishedDate).locale('ar').format("Do MMM,YYYY")}</span><h5 class="card-title">${item.titleAR}</h5></div></div></a>`;
    		}
    		carousel.append(carouselItem);
    	}
    	if(langCheck() == 'en'){
	    	$('.highlights-carousel').owlCarousel({
				loop: false,
			    margin: 20,
			    nav: true,
			    dots: false,
			    lazyLoad: true,    
			    responsive:{
				    600:{
				    	items:1
				    },
				    1000:{
				       	items:2
				    }
			   	}
			});
		}
		else{
			$('.highlights-carousel').owlCarousel({
				loop: false,
			    margin: 20,
			    nav: true,
			    dots: false,
			    lazyLoad: true,
			    rtl:true,    
			    responsive:{
				    600:{
				    	items:1
				    },
				    1000:{
				       	items:2
				    }
			   	}
			});
		}
   	})
    .catch(function(error) {
      console.log(error);
    });
}





async function domainsList(){
	let url = 'https://fegapi.fujairah.ae/api/DOMAINS';
	fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
    	let items = data;
    	if(pageCheck()=='default'){
    		let domainsList = document.querySelector('#domains-list .row');
    		for(let item of items){
       			let domainItem = document.createElement('div');
       			domainItem.classList.add('col-4', 'domain-item');
    			domainsList.append(domainItem);
    			if(langCheck() == 'en'){ 
					//domainItem.innerHTML = `<img class="svgIcon" src=${item.Att} alt=${item.titleEN}/><h4>${item.titleEN}</h4><p>${item.shortDescEN.replace(/(<([^>]+)>)/gi, "")}</p><a class="btn arrow-link" href=${item.url}>More <span class="material-symbols-outlined">arrow_forward</span></a>`;
					domainItem.innerHTML = `<img class="svgIcon" src=${item.Att} alt=${item.titleEN}/><h4>${item.titleEN}</h4><p>${item.shortDescEN.replace(/(<([^>]+)>)/gi, "")}</p><a class="btn arrow-link" href=${'/en/pages/domains-item.aspx?DOMAINID='+item.DOMAINID}>More <span class="material-symbols-outlined">arrow_forward</span></a>`;

				}
				else{
					//domainItem.innerHTML = `<img class="svgIcon" src=${item.Att} alt=${item.titleAR}/><h4>${item.titleAR}</h4><p>${item.shortDescAR.replace(/(<([^>]+)>)/gi, "")}</p><a class="btn arrow-link" href=${item.url}>أكثر <span class="material-symbols-outlined">arrow_forward</span></a>`;
					domainItem.innerHTML = `<img class="svgIcon" src=${item.Att} alt=${item.titleAR}/><h4>${item.titleAR}</h4><p>${item.shortDescAR.replace(/(<([^>]+)>)/gi, "")}</p><a class="btn arrow-link" href=${'/ar/pages/domains-item.aspx?DOMAINID='+item.DOMAINID}>أكثر <span class="material-symbols-outlined">arrow_forward</span></a>`;
				}
      		}
    	}
    	
      	else{
      		let domainsList = document.querySelector('#domains-list');
			for(let item of items){
				let domainItem = document.createElement('div');
				domainItem.classList.add('row', 'domain-item');
				domainsList.append(domainItem);
				if(langCheck() == 'en'){
					domainItem.innerHTML = `<div class="col-3 domain-icon"><img class="svgIcon" src=${item.Att} alt=${item.titleEN}/></div><div class="col domain-desc"><h4>${item.titleEN.replace(/(<([^>]+)>)/gi, "")}</h4><p>${item.shortDescEN.replace(/(<([^>]+)>)/gi, "")}</p><a class="btn arrow-link" href=${'/en/pages/domains-item.aspx?DOMAINID='+item.DOMAINID}>More <span class="material-symbols-outlined">arrow_forward</span></a></div>`;
				}
				else{
					domainItem.innerHTML = `<div class="col-3 domain-icon"><img class="svgIcon" src=${item.Att} alt=${item.titleAR}/></div><div class="col domain-desc"><h4>${item.titleAR.replace(/(<([^>]+)>)/gi, "")}</h4><p>${item.shortDescAR.replace(/(<([^>]+)>)/gi, "")}</p><a class="btn arrow-link" href=${'/ar/pages/domains-item.aspx?DOMAINID='+item.DOMAINID}>أكثر <span class="material-symbols-outlined">arrow_forward</span></a></div>`;
				}
			}      	
		}   	
    });
}

async function homeAppsList(){
	let url = 'https://fegapi.fujairah.ae/api/APPS';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
    	let items = data;
    	let appsList = document.querySelector('#apps-list');
    	let i = 0;
    	for(let item of items){
    		let appItem = document.createElement('div');
       		appItem.classList.add('app-item');
    		appsList.append(appItem);    		
    		if(item.featuredItem == 'True'){ 
	    		if(i % 2 == 0){
	    			if(langCheck() == 'en')
	    			{
	    				appItem.innerHTML = `<div class="row even"><div class="col-6 appFeaturedImage"><img src=${item.featuredImg} alt=$item.titleEN}/></div><div class="col-6 appDesc"><h4>${item.titleEN}</h4><p>${item.descEN}</p>${(item.qrCode != '#') ? '<img src="../../Style%20Library/egov-resources/images/'+item.qrCode+'"/>' : ''} ${(item.url != '#') ? '<a class="btn arrow-link" href="'+item.url+'" target="_blank">Visit Now <span class="material-symbols-outlined">arrow_forward</span></a>' : ''}</div></div>`;
	    			}
	    			else{
	    				appItem.innerHTML = `<div class="row even"><div class="col-6 appFeaturedImage"><img src=${item.featuredImg} alt=$item.titleAR}/></div><div class="col-6 appDesc"><h4>${item.titleAR}</h4><p>${item.descAR}</p>${(item.qrCode != '#') ? '<img src="../../Style%20Library/egov-resources/images/'+item.qrCode+'"/>' :''} ${(item.url != '#') ? '<a class="btn arrow-link" href="'+item.url+'" target="_blank">قم بالزيارة الآن <span class="material-symbols-outlined">arrow_forward</span></a>' : ''}</div></div>`;
	    			}
	    		}
	    		else{
	    			if(langCheck() == 'en'){
	    				appItem.innerHTML = `<div class="row odd"><div class="col-6 appDesc"><h4>${item.titleEN}</h4><p>${item.descEN}</p>${(item.qrCode) ? '<img src="../../Style%20Library/egov-resources/images/'+item.qrCode+'"/>' : ''} ${(item.url != '#') ? '<a class="btn arrow-link" href="'+item.url+'" target="_blank">Visit Now <span class="material-symbols-outlined">arrow_forward</span></a>' : ''}</div><div class="col-6 appFeaturedImage"><img src=${item.featuredImg} alt=$item.titleEN}/></div></div>`;
	    			}
	    			else{
	    				appItem.innerHTML = `<div class="row odd"><div class="col-6 appDesc"><h4>${item.titleAR}</h4><p>${item.descAR}</p>${(item.qrCode) ? '<img src="../../Style%20Library/egov-resources/images/'+item.qrCode+'"/>' : ''} ${(item.url != '#') ? '<a class="btn arrow-link" href="'+item.url+'" target="_blank">قم بالزيارة الآن <span class="material-symbols-outlined">arrow_forward</span></a>' : ''}</div><div class="col-6 appFeaturedImage"><img src=${item.featuredImg} alt=$item.titleAR}/></div></div>`;
	    			}
	    		}
	    		i++;
    		}
      	}
    });
}




async function appsList(){
	let url = 'https://fegapi.fujairah.ae/api/APPS';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
    	let items = data;
    	let appsList = document.querySelector('#apps-list');
    	let i = 0;
    	for(let item of items){
    		let appItem = document.createElement('div');
       		appItem.classList.add('app-item');
    		appsList.append(appItem);    		
    		
	    	if(langCheck() == 'en'){
	    		appItem.innerHTML = `<div class="row"><div class="col-6 appFeaturedImage"><img src=${item.featuredImg} alt=$item.titleEN}/></div><div class="col-6 appDesc"><h4>${item.titleEN}</h4><p>${item.descEN}</p>${(item.qrCode != '#') ? '<img class="qr-code" src="../../Style%20Library/egov-resources/images/'+item.qrCode+'"/>' : ''} ${(item.url != '#') ? '<a class="btn arrow-link" href="'+item.url+'" target="_blank">Visit Now <span class="material-symbols-outlined">arrow_forward</span></a>' : ''}</div></div>`;
	    	}
	    	else{
	    		appItem.innerHTML = `<div class="row"><div class="col-6 appFeaturedImage"><img src=${item.featuredImg} alt=$item.titleAR}/></div><div class="col-6 appDesc"><h4>${item.titleAR}</h4><p>${item.descAR}</p>${(item.qrCode != '#') ? '<img class="qr-code" src="../../Style%20Library/egov-resources/images/'+item.qrCode+'"/>' :''} ${(item.url != '#') ? '<a class="btn arrow-link" href="'+item.url+'" target="_blank">قم بالزيارة الآن <span class="material-symbols-outlined">arrow_forward</span></a>' : ''}</div></div>`;
	    	}
	    }	
      	
    });
}



async function careersList(){
	let url = 'https://fegapi.fujairah.ae/api/Careers';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
    	let items = data;
    	let careersList = document.querySelector('#careers-list');
       	for(let item of items){
    		let careerItem = document.createElement('div');
       		careerItem.classList.add('col-6','career-item');
    		careersList.append(careerItem);    		
    	
	    	careerItem.innerHTML = `<div class='card'>
	    		<div class='card-body'>
	    		<h4>${item.Title}</h4>
	    		<p>${item.shortDesc.replace(/(<([^>]+)>)/gi, "")}</p><hr>
	    		<div class="row">
	    			<div class="col">
	    				<div class="career-item-icon"><span class="material-symbols-outlined">work</span><p>Job Type</p></div>
	    				<h6>${item.JobType}</h6>
	    			</div>
	    			<div class="col">
	    				<div class="career-item-icon"><span class="material-symbols-outlined">account_balance</span><p>Department</p></div>
	    				<h6>${item.Dept}</h6>

	    			</div>
	    			<div class="col">
	    				<div class="career-item-icon"><span class="material-symbols-outlined">calendar_month</span><p>Posted Date</p></div>
	    				<h6>${moment(item.postedDate).format("Do MMM,YYYY")}</h6>
	    			</div>

	    		</div><hr>
	    		<div class="row"><div class="col text-end"><a class="btn arrow-link" role="button" href=${'../pages/career-item.aspx?CarrerID='+item.CarrerID}>More Details <span class="material-symbols-outlined">arrow_forward</span></a></div></div>
	    	</div></div>`;
	    }	
      	
    });
}



async function eventsCarousel(){
	let url = 'https://fegapi.fujairah.ae/api/events';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
    	let carousel = document.querySelector('.events-carousel');
    	let itemCount  = carousel.getAttribute('carousel-items');
    	let items = data.slice(0, itemCount);
    	
    	for(let item of items){
    		let carouselItem = document.createElement('div');
    		carouselItem.classList.add('item');
       		    		
    		if(langCheck() == 'en'){
    			carouselItem.innerHTML = `<div class="card"><img class="card-img-top" src=${item.featuredImg} alt=${item.titleEN} /><div class="card-body"><h5 class="card-title">${item.titleEN}</h5><h6 class="card-date">${moment(item.SDate).format("Do MMM,YYYY")} - ${moment(item.EDate).format("Do MMM,YYYY")}</h6><p class="card-text">${item.shortDescEN}</p><a class="btn arrow-link" href='/en/pages/event-item.aspx'>Book Your Seat <span class="material-symbols-outlined">arrow_forward</span></a></div></div>`;
    		}
    		else{
    			carouselItem.innerHTML = `<div class="card"><img class="card-img-top" src=${item.featuredImg} alt=${item.titleAR} /><div class="card-body"><h5 class="card-title">${item.titleAR}</h5><h6 class="card-date">${moment(item.SDate).locale('ar').format("Do MMM,YYYY")} - ${moment(item.EDate).locale('ar').format("Do MMM,YYYY")} </h6><p class="card-text">${item.shortDescAR}</p><a class="btn arrow-link" href=${item.url}>احجز مقعدك <span class="material-symbols-outlined">arrow_forward</span></a></div></div>`;
    		}
    		carousel.append(carouselItem);
    	}
    	if(langCheck() == 'en'){
	    	$('.events-carousel').owlCarousel({
				loop: false,
				margin: 20,
				nav: true,
				dots: false,
				lazyLoad: true,    
				responsive:{
					600:{
						items:1
					},
					1000:{
						items:3
					}
				}
			});
		}
		else{
			$('.events-carousel').owlCarousel({
				loop: false,
				margin: 20,
				nav: true,
				dots: false,
				lazyLoad: true,
				rtl:true,    
				responsive:{
					600:{
						items:1
					},
					1000:{
						items:3
					}
				}
			});	
		}
   	})
    .catch(function(error) {
      console.log(error);
    });
}


async function insightsList(){
	let url = 'https://fegapi.fujairah.ae/api/INSIGHTS';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
       	let items = data.slice(0,3);
      	let insightsList = document.querySelector('#insights');    	
    	for(let item of items){
    		let insightsItem = document.createElement('div');
    		if(langCheck() == 'en'){
    			insightsItem.innerHTML = `<div class="card"><a href=${'/en/pages/insights-item.aspx?INID='+item.INID}><img class="card-img-top" src=${item.featuredImg} alt=${item.titleEN} /></a><div class="card-body"><span class="card-tag">${item.category}</span><span class="card-date"> / ${moment(item.date).format("Do MMM,YYYY")}</span><a href=${'/en/pages/insights-item.aspx?INID='+item.INID}><h5 class="card-title">${item.titleEN}</h5></a><p class="card-user">By: <strong>${item.user}</strong></p></div></div>`;
    		}
    		else{
    			insightsItem.innerHTML = `<div class="card"><a href=${'/ar/pages/insights-item.aspx?INID='+item.INID}><img class="card-img-top" src=${item.featuredImg} alt=${item.titleAR} /></a><div class="card-body"><span class="card-tag">${item.category}</span><span class="card-date"> / ${moment(item.date).locale('ar').format("Do MMM,YYYY")}</span><a href=${'/ar/pages/insights-item.aspx?INID='+item.INID}><h5 class="card-title">${item.titleAR}</h5></a><p class="card-user">By: <strong>${item.user}</strong></p></div></div>`;
    		}
    		insightsList.append(insightsItem);
    		insightsItem.classList.add('col-4');
       	}
   	})
    .catch(function(error) {
      console.log(error);
    });
}

async function partnersCarousel(){
	let url = 'https://fegapi.fujairah.ae/api/partners';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
    	let carousel = document.querySelector('.partners-carousel');
    	let items = data;
    	for(let item of items){
    		let carouselItem = document.createElement('div');
    		carouselItem.classList.add('item');
       		if(langCheck() == 'en'){    		
    			carouselItem.innerHTML = `<a href=${item.url} class="partner-logo"><img src=${item.partnerLogo} alt=${item.titleEN}/></a>`;
    		}
    		else{
    			carouselItem.innerHTML = `<a href=${item.url} class="partner-logo"><img src=${item.partnerLogo} alt=${item.titleAR}/></a>`;
    		}
    		carousel.append(carouselItem);
    	}
    	if(langCheck() == 'en'){
	    	$('.partners-carousel').owlCarousel({
				loop: true,
				margin: 20,
				nav: false,
				dots: false,
				autoplay:true,
        		autoplayTimeout:5000,
   				autoplayHoverPause:true,
				lazyLoad: true,    
				responsive:{
					600:{
						items:2
					},
					1000:{
						items:4
					}
				}
			});
		}
		else{
			$('.partners-carousel').owlCarousel({
				loop: true,
				margin: 20,
				nav: false,
				dots: false,
				autoplay:true,
        		autoplayTimeout:5000,
   				autoplayHoverPause:true,
				lazyLoad: true,
				rtl:true,    
				responsive:{
					600:{
						items:2
					},
					1000:{
						items:4
					}
				}
			});	
		}
    	
   	})
    .catch(function(error) {
      console.log(error);
    });
}


async function footerContactData(){
	let url = '/Style Library/egov-resources/data/footerContactData.js';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
    	let contactList = document.querySelector('#contact-info');
      	let items = data;
    	for(let item of items){
    		let contactItem = document.createElement('li');
			contactList.append(contactItem);
			if(langCheck() == 'en'){ 
				contactItem.innerHTML = `<a href=${item.url}><span class="material-symbols-outlined">${item.icon}</span><span class="content"><h3>${item.titleEN}</h3><p>${item.descEN}</p></span></a>`;
			}
			else{
				contactItem.innerHTML = `<a href=${item.url}><span class="material-symbols-outlined">${item.icon}</span><span class="content"><h3>${item.titleAR}</h3><p>${item.descAR}</p></span></a>`;
			}
    	}
   	})
    .catch(function(error) {
      console.log(error);
    });
}



async function contactInfo(){
	let url = '/Style Library/egov-resources/data/footerContactData.js';
	await fetch(url)
    .then((response) => {
        return response.json();
    })
    .then((data) => {
    	let contactList = document.querySelector('#contact-info-inner');
      	let items = data;
    	for(let item of items){
    		let contactItem = document.createElement('li');
			contactList.append(contactItem);
			if(langCheck() == 'en'){ 
				contactItem.innerHTML = `<a href=${item.url}><span class="material-symbols-outlined">${item.icon}</span><span class="content"><h3>${item.titleEN}</h3><p>${item.descEN}</p></span></a>`;
			}
			else{
				contactItem.innerHTML = `<a href=${item.url}><span class="material-symbols-outlined">${item.icon}</span><span class="content"><h3>${item.titleAR}</h3><p>${item.descAR}</p></span></a>`;
			}
    	}
   	})
    .catch(function(error) {
      console.log(error);
    });
}
